#1646 missing make-proclaim.lisp in 5.18.0

closed
nobody
5
2009-04-20
2009-04-14
Leo Butler
No

Hello,
In building 5.18.0 today with gcl-2.6.8pre, I discovered that the file

lisp-utils/make-proclaim.lisp

is missing from the sourceforge tarball (downloaded today). I have
appended the relevant output below.

Interestingly, maxima was built successfully but for two unexpected
floating point errors.

Leo

lbutler@erdelyi$ tar xvf maxima-5.18.0.tar.gz 2>&1 | grep lisp-utils
maxima-5.18.0/lisp-utils/
maxima-5.18.0/lisp-utils/defsystem.lisp
maxima-5.18.0/lisp-utils/makealbertdoc.lisp
maxima-5.18.0/lisp-utils/Makefile.in
maxima-5.18.0/lisp-utils/make-depends.lisp
maxima-5.18.0/lisp-utils/Makefile.am

lbutler@erdelyi$ ./configure --prefix=$PWD --exec-prefix=$PWD
--enable-gcl --with-gcl=/home/lbutler/maxima/gcl-2.6.8pre/xbin/gcl
>>../build-output.txt 2>&1

lbutler@erdelyi$ make >>../build-output.txt 2>&1

; - Loading source file
; "/home/lbutler/maxima/maxima-5.18.0/src/init-cl.lisp"
Loading /home/lbutler/maxima/maxima-5.18.0/src/init-cl.lisp
Finished loading /home/lbutler/maxima/maxima-5.18.0/src/init-cl.lisp
; - Providing system maxima
Error in PROGN [or a callee]: Cannot open the file
../lisp-utils/make-proclaim.lisp.

Fast links are on: do (use-fast-links nil) for debugging
Broken at CONDITIONS::CLCS-LOAD. Type :H for Help.
1 (Continue) Retry loading file "../lisp-utils/make-proclaim.lisp".
2 (Abort) Return to top level.
dbl:>>2
>(by)

Warning:
REQUIRE is being redefined.

Discussion

    • status: open --> closed
     
  • make-proclaim.lisp is included in 5.18.1.

    Andrej